/*
 *  RingPlayer.java
 *
 *  Copyright (c) 2004-2007  Brekeke Software, Inc. All rights reserved.
 *
 *  BREKEKE JTAPI SDK Sample Program
 */

import javax.telephony.Call;
import javax.telephony.callcontrol.CallControlCall;
import javax.telephony.media.*;

/*** Plays Ringback tone to a caller while this application is ***/
/** * calling the transfer destination. ** */

public class RingPlayer extends BasicMediaService implements Runnable {

	CallControlCall call = null;

	volatile Thread thread;

	RingPlayer(Call call) {
		super((MediaProvider) call.getProvider());
		this.call = (CallControlCall) call;
	}

	public void start() {
		thread = new Thread(this);
		thread.start();
	}

	public void run() {

		Thread thisThread = Thread.currentThread();

		try {
			bindToCall(ConfigSpec.basicConfig, call);

			PlayerEvent playev = null;

			while (thread == thisThread) {
				if (call != null) {
					playev = play("/sound/ring.ul", 4, null, null);

					if (playev.getQualifier().equals(MediaConstants.q_Standard)) {
						continue;
					}

					else {
						break;
					}
				}
			}
			if (isBound())
				try {
					release();
				} catch (Exception ex3) {
				}

		} catch (Exception ex) {
			System.err.println(ex);
		}
	}

	public void stop() {

	      if(thread!=null){
	          try{
	              System.out.println("isBound? "+isBound() + " this:"+this);
	              if(isBound() == false){
	                  if(call != null){
	                      bindToCall(ConfigSpec.basicConfig, call);
	                    
	                 }
	              }
	             stopPlayer();

	             if (isBound())
	              try {
	                  release(); 	    
	              } catch (Exception ex3) {} 
	               
	          }catch(Exception ex){
	              ex.printStackTrace();
	          }

	        thread = null;
	      }

	}

}