/*
 *  TransferStat.java
 *
 *  Copyright (c) 2004-2007  Brekeke Software, Inc. All rights reserved.
 *
 *  BREKEKE JTAPI SDK Sample Program
 */

/** This is for storing the transfer status of each call **/

import javax.telephony.*;
import javax.telephony.callcontrol.*;

public class TransferStat {

    private Call origcall; // Originator's call
    private CallControlTerminalConnection origtc; //Originator's terminal connction
    private int	status; // Status
    private Call dstcall; // Call of Transfer destination
    private String transferadd; // Transfer destination's name (number)
    private RingPlayer rp; // RingPlayer for ringback tone
    private String callername; // Caller's name (number) 
    
    public TransferStat(Call origcall, int stat){
        this.origcall = origcall;
        this.status = stat;
    }
    
    public void setCallerName(String name){
        callername = name;
    }
    
    public String getCallerName(){
        return callername;
    }
    
    public void setOrigCall(Call origcall){
        this.origcall = origcall;
    }
    
    public Call getOrigCall(){
        return origcall;
    }
    
    public void setOrigTC(CallControlTerminalConnection tc){
        this.origtc = tc;
    }
    
    public CallControlTerminalConnection getOrigTC(){
        return origtc;
    }
    
    
    public void setStatus(int status){
        this.status = status;
    }
    
    public int getStatus(){
        return status;
    }
    
    public void setDstCall(Call dstcall){
        this.dstcall = dstcall;
    }
    
    public Call getDstCall(){
        return dstcall;
    }

    public void setTransferAddr(String addr){
        this.transferadd = addr;
    }
    
    public String getTransferAddr(){
        return transferadd;
    }
    
    public void setRingPlayer(RingPlayer rp){
        this.rp = rp;
    }
    
    public RingPlayer getRingPlayer(){
        return rp;
    }
    
}
